package net.northking.cctp.daemon.config;

public class EngineProperties
{
  private int port;
  private String pidFile = "script-engine.pid";
  private String jarFile = "script-engine-name.txt";
  private String opsXms;
  private String opsXmx;
  private String opsPermSize;
  private String encoding;
  private String extParams;

  public int getPort()
  {
    return port;
  }

  public void setPort(int port)
  {
    this.port = port;
  }

  public String getPidFile()
  {
    return pidFile;
  }

  public void setPidFile(String pidFile)
  {
    this.pidFile = pidFile;
  }

  public String getJarFile()
  {
    return jarFile;
  }

  public void setJarFile(String jarFile)
  {
    this.jarFile = jarFile;
  }

  public String getOpsXms()
  {
    return opsXms;
  }

  public void setOpsXms(String opsXms)
  {
    this.opsXms = opsXms;
  }

  public String getOpsXmx()
  {
    return opsXmx;
  }

  public void setOpsXmx(String opsXmx)
  {
    this.opsXmx = opsXmx;
  }

  public String getOpsPermSize()
  {
    return opsPermSize;
  }

  public void setOpsPermSize(String opsPermSize)
  {
    this.opsPermSize = opsPermSize;
  }

  public String getEncoding()
  {
    return encoding;
  }

  public void setEncoding(String encoding)
  {
    this.encoding = encoding;
  }

  public String getExtParams()
  {
    return extParams;
  }

  public void setExtParams(String extParams)
  {
    this.extParams = extParams;
  }
}
